Bug 1335878 - Review Request: python-ripozo - RESTful API framework with HATEOAS support
Summary: Review Request: python-ripozo - RESTful API framework with HATEOAS support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Orsava
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1335901
TreeView+ depends on / blocked
 
Reported: 2016-05-13 12:36 UTC by Miro Hrončok
Modified: 2016-05-20 17:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-20 17:38:32 UTC
Type: ---
torsava: fedora-review+


Attachments (Terms of Use)

Description Miro Hrončok 2016-05-13 12:36:37 UTC
Spec URL: https://churchyard.fedorapeople.org/SRPMS/python-ripozo.spec
SRPM URL: https://churchyard.fedorapeople.org/SRPMS/python-ripozo-1.3.0-1.fc23.src.rpm

Description:
Ripozo is a tool for building RESTful/HATEOAS/Hypermedia APIs. It provides
strong, simple, and fully qualified linking between resources, the ability
to expose available actions and necessary parameters on a resource, and
exposing multiple REST protocols (i.e. SIREN and HAL). Finally, ripozo is
highly extensible. It is able to integrate with any web framework or database
and you can easily roll out your own REST protocols.

Fedora Account System Username: churchyard

Comment 1 Miro Hrončok 2016-05-13 13:36:22 UTC
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14043728

Comment 2 Tomas Orsava 2016-05-13 13:47:56 UTC
I suggest unifying the order of Python 2 vs. Python 3 scripts in sections %build, %install and %check sections.

I'd also suggest using the %{pythonX_version} macro instead of ?.? in:
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

Otherwise the spec looks great, I'll continue with the review.

Comment 3 Miro Hrončok 2016-05-13 13:56:49 UTC
(In reply to Tomas Orsava from comment #2)
> I suggest unifying the order of Python 2 vs. Python 3 scripts in sections
> %build, %install and %check sections.

Done.

> I'd also suggest using the %{pythonX_version} macro instead of ?.? in:
> %{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
> %{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

Done.
 
> Otherwise the spec looks great, I'll continue with the review.

Thanks.

URLs are the same:

Spec URL: https://churchyard.fedorapeople.org/SRPMS/python-ripozo.spec
SRPM URL: https://churchyard.fedorapeople.org/SRPMS/python-ripozo-1.3.0-1.fc23.src.rpm

Comment 4 Miro Hrončok 2016-05-13 14:15:25 UTC
I've split the documentation to a common subpackage.

URLs are the same:

Spec URL: https://churchyard.fedorapeople.org/SRPMS/python-ripozo.spec
SRPM URL: https://churchyard.fedorapeople.org/SRPMS/python-ripozo-1.3.0-1.fc23.src.rpm

Comment 5 Tomas Orsava 2016-05-13 14:51:38 UTC
So here comes the formal review:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 84 files have unknown license. Detailed
     output of licensecheck in /home/torsava/rpmbuild/SPECS/python-
     ripozo/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.5/site-packages,
     /usr/lib/python3.5
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.5/site-
     packages, /usr/lib/python3.5
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.

Probably not rally needed here.

[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-ripozo , python2-ripozo , python-ripozo-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.


Rpmlint
-------
Checking: python3-ripozo-1.3.0-1.fc25.noarch.rpm
          python2-ripozo-1.3.0-1.fc25.noarch.rpm
          python-ripozo-doc-1.3.0-1.fc25.noarch.rpm
          python-ripozo-1.3.0-1.fc25.src.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
3 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python3-ripozo (rpmlib, GLIBC filtered):
    python(abi)
    python3-six

python2-ripozo (rpmlib, GLIBC filtered):
    python(abi)
    python-six

python-ripozo-doc (rpmlib, GLIBC filtered):



Provides
--------
python3-ripozo:
    python3-ripozo

python2-ripozo:
    python-ripozo
    python2-ripozo

python-ripozo-doc:
    python-ripozo-doc



Source checksums
----------------
https://github.com/vertical-knowledge/ripozo/archive/1.3.0.tar.gz :
  CHECKSUM(SHA256) this package     : 31efc3457fe923a3bd74ecc1e204907bfa2de841c7303e2e526f818184bec9ce
  CHECKSUM(SHA256) upstream package : 31efc3457fe923a3bd74ecc1e204907bfa2de841c7303e2e526f818184bec9ce


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -rn ../SRPMS/python-ripozo-1.3.0-1.fc23.src.rpm
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Besides that, beware there is some trailing whitespace in the specfile.

Result: Looks good!

Comment 6 Miro Hrončok 2016-05-13 15:00:59 UTC
Thanks.

Parallel make has no reason here, there is nothing to be run in parallel.
Will correct the whitespace.

Comment 7 Gwyn Ciesla 2016-05-13 21:30:41 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-ripozo

Comment 8 Fedora Update System 2016-05-13 23:13:52 UTC
python-ripozo-1.3.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7d8da8b529

Comment 9 Fedora Update System 2016-05-15 06:55:57 UTC
python-ripozo-1.3.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7d8da8b529

Comment 10 Fedora Update System 2016-05-20 17:38:29 UTC
python-ripozo-1.3.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.